PollingOccurrences (Occurrence Data Management 2.0.0-3.1.1 API)
Date: 2014-06-04

org.gcube.portlets.user.occurrencemanagement.client.timers

## Class PollingOccurrences

- java.lang.Object
- - com.google.gwt.user.client.Timer
  - - org.gcube.portlets.user.occurrencemanagement.client.timers.PollingOccurrences

-     public class PollingOccurrences
      extends com.google.gwt.user.client.Timer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PollingOccurrences(ElaborationType elaborationType, boolean onlyNotCompleted, boolean notifyChange)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getDelayRepeating()`
    `int` | `getDelaySchedule()`
    `ElaborationType` | `getElaborationType()`
    `boolean` | `isNotifyChange()`
    `boolean` | `isOnlyNotCompleted()`
    `void` | `run()`
    `void` | `schedulePolling(int milliseconds)`
    `void` | `scheduleRepeatingPolling(int milliseconds)`
    `void` | `setDelayRepeating(int delayRepeating)`
    `void` | `setDelaySchedule(int delaySchedule)`
    `void` | `setElaborationType(ElaborationType elaborationType)`
    `void` | `setNotifyChange(boolean notifyChange)`
    `void` | `setOnlyNotCompleted(boolean onlyNotCompleted)`
    `void` | `startPolling()`
    `void` | `stopPolling()`

    - ### Methods inherited from class com.google.gwt.user.client.Timer

      `cancel, schedule, scheduleRepeating`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PollingOccurrences

          public PollingOccurrences(ElaborationType elaborationType,
                            boolean onlyNotCompleted,
                            boolean notifyChange)

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in class `com.google.gwt.user.client.Timer`

    - #### isOnlyNotCompleted

          public boolean isOnlyNotCompleted()

    - #### setOnlyNotCompleted

          public void setOnlyNotCompleted(boolean onlyNotCompleted)

    - #### isNotifyChange

          public boolean isNotifyChange()

    - #### setNotifyChange

          public void setNotifyChange(boolean notifyChange)

    - #### stopPolling

          public void stopPolling()

    - #### startPolling

          public void startPolling()

    - #### scheduleRepeatingPolling

          public void scheduleRepeatingPolling(int milliseconds)

    - #### schedulePolling

          public void schedulePolling(int milliseconds)

    - #### getElaborationType

          public ElaborationType getElaborationType()

    - #### setElaborationType

          public void setElaborationType(ElaborationType elaborationType)

    - #### getDelaySchedule

          public int getDelaySchedule()

    - #### setDelaySchedule

          public void setDelaySchedule(int delaySchedule)

    - #### getDelayRepeating

          public int getDelayRepeating()

    - #### setDelayRepeating

          public void setDelayRepeating(int delayRepeating)

Copyright © 2014. All Rights Reserved.